Bug 1421701 - Review Request: openstack-neutron-bgp-dragent
Summary: Review Request: openstack-neutron-bgp-dragent
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: trunk
Assignee: Javier Peña
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-02-13 13:28 UTC by Magnus Bergman
Modified: 2019-04-25 14:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-25 14:48:27 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Magnus Bergman 2017-02-13 13:28:10 UTC
openstack-neutron-bgp-dragent is missing in RDO Newton repo.

The package was there in RDO Mitaka: http://mirror.centos.org/centos/7/cloud/x86_64/openstack-mitaka/openstack-neutron-bgp-dragent-8.3.0-1.el7.noarch.rpm

Being able to BGP announce network prefixes is really useful and right now prevents upgrading to Newton in a number of environments.

Comment 1 Assaf Muller 2017-02-13 15:24:48 UTC
The reason the package is missing is that the dynamic routing capabilities moved from the Neutron tree to a new project called 'neutron-dynamic-routing', which is not packaged in RDO.

Comment 2 Magnus Bergman 2017-02-21 09:52:56 UTC
Any plans on packaging that project in RDO? Seems like some quite important functionality is lost otherwise.

Comment 3 Assaf Muller 2017-02-23 23:09:13 UTC
Magnus, I'm not aware of any such plans at this time.

Alan, please see comment 2.

Comment 4 Alan Pevec 2017-05-23 11:02:12 UTC
Anyone is welcome to contribute to RDO, please follow steps in https://www.rdoproject.org/documentation/rdo-packaging/#how-to-add-a-new-package-to-rdo-trunk

Comment 5 Alan Pevec 2017-05-23 11:05:53 UTC
We could re-purpose this BZ to the Package Review.

Comment 6 Alan Pevec 2017-07-19 18:14:05 UTC
Updated docs link is https://www.rdoproject.org/documentation/add-packages/

Comment 7 Haïkel Guémar 2017-07-20 13:52:24 UTC
Please submit spec file in gerrit after project creation, it should remain idle too long.

Comment 8 Alfredo Moralejo 2017-07-20 13:59:59 UTC
Output of licensecheck:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.pylintrc: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./MANIFEST.in: *No copyright* UNKNOWN
./README.rst: *No copyright* UNKNOWN
./TESTING.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./devstack/README.rst: *No copyright* UNKNOWN
./devstack/plugin.sh: *No copyright* UNKNOWN
./devstack/settings: *No copyright* UNKNOWN
./etc/README.txt: *No copyright* UNKNOWN
./neutron_dynamic_routing/__init__.py: Apache (v2.0)
./neutron_dynamic_routing/_i18n.py: *No copyright* Apache (v2.0)
./neutron_dynamic_routing/version.py: Apache (v2.0)
./tools/check_unit_test_structure.sh: *No copyright* UNKNOWN
./tools/clean.sh: *No copyright* UNKNOWN
./tools/generate_config_file_samples.sh: *No copyright* Apache (v2.0)
./tools/ostestr_compat_shim.sh: *No copyright* UNKNOWN
./tools/tox_install.sh: *No copyright* UNKNOWN
./devstack/lib/dr: *No copyright* UNKNOWN
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/index.rst: Apache (v2.0)
./etc/oslo-config-generator/bgp_dragent.ini: *No copyright* UNKNOWN
./neutron_dynamic_routing/db/bgp_db.py: Apache (v2.0)
./neutron_dynamic_routing/db/bgp_dragentscheduler_db.py: Apache (v2.0)
./neutron_dynamic_routing/extensions/bgp.py: Apache (v2.0)
./neutron_dynamic_routing/extensions/bgp_dragentscheduler.py: Apache (v2.0)
./releasenotes/source/README.rst: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/newton.rst: *No copyright* UNKNOWN
./releasenotes/source/ocata.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./doc/source/admin/agent-scheduler.rst: Apache (v2.0)
./doc/source/admin/bgp-speaker.rst: Apache (v2.0)
./doc/source/admin/index.rst: Apache (v2.0)
./doc/source/admin/route-advertisement.rst: Apache (v2.0)
./doc/source/admin/system-design.rst: Apache (v2.0)
./doc/source/cli/bgp-peer.rst: *No copyright* UNKNOWN
./doc/source/cli/bgp-speaker.rst: *No copyright* UNKNOWN
./doc/source/cli/dynamic-routing-agent.rst: *No copyright* UNKNOWN
./doc/source/cli/index.rst: Apache (v2.0)
./doc/source/contributor/contributing.rst: Apache (v2.0)
./doc/source/contributor/dragent-drivers.rst: Apache (v2.0)
./doc/source/contributor/index.rst: Apache (v2.0) GENERATED FILE
./doc/source/contributor/testing.rst: Apache (v2.0)
./doc/source/install/index.rst: Apache (v2.0)
./doc/source/reference/index.rst: Apache (v2.0)
./etc/neutron/policy.d/dynamic_routing.conf: *No copyright* UNKNOWN
./neutron_dynamic_routing/cmd/eventlet/__init__.py: *No copyright* Apache (v2.0)
./neutron_dynamic_routing/db/migration/README: *No copyright* UNKNOWN
./neutron_dynamic_routing/services/bgp/bgp_plugin.py: Apache (v2.0)
./neutron_dynamic_routing/tests/common/helpers.py: Apache (v2.0)
./neutron_dynamic_routing/tests/contrib/README: *No copyright* UNKNOWN
./neutron_dynamic_routing/tests/contrib/gate_hook.sh: *No copyright* UNKNOWN
./neutron_dynamic_routing/tests/contrib/post_test_hook.sh: *No copyright* UNKNOWN
./neutron_dynamic_routing/tests/tempest/bgp_client.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/plugin.py: Apache (v2.0)
./neutron_dynamic_routing/api/rpc/agentnotifiers/bgp_dr_rpc_agent_api.py: Apache (v2.0)
./neutron_dynamic_routing/api/rpc/callbacks/resources.py: *No copyright* Apache (v2.0)
./neutron_dynamic_routing/api/rpc/handlers/bgp_speaker_rpc.py: Apache (v2.0)
./neutron_dynamic_routing/cmd/eventlet/agents/bgp_dragent.py: Apache (v2.0)
./neutron_dynamic_routing/db/migration/alembic_migrations/env.py: Apache (v2.0)
./neutron_dynamic_routing/db/migration/alembic_migrations/script.py.mako: Apache (v2.0)
./neutron_dynamic_routing/db/migration/models/head.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/agent/bgp_dragent.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/agent/config.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/agent/entry.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/common/constants.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/common/opts.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/scheduler/bgp_dragent_scheduler.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/api/test_bgp_speaker_extensions.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/api/test_bgp_speaker_extensions_negative.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/scenario/README: *No copyright* UNKNOWN
./neutron_dynamic_routing/tests/tempest/scenario/base.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/scenario/base_test_proto.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/db/test_bgp_db.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/db/test_bgp_dragentscheduler_db.py: Apache (v2.0)
./neutron_dynamic_routing/db/migration/alembic_migrations/versions/CONTRACT_HEAD: *No copyright* UNKNOWN
./neutron_dynamic_routing/db/migration/alembic_migrations/versions/EXPAND_HEAD: *No copyright* UNKNOWN
./neutron_dynamic_routing/db/migration/alembic_migrations/versions/start_neutron_dynamic_routing.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/agent/driver/base.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/agent/driver/exceptions.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/agent/driver/utils.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/scenario/basic/base.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/scenario/basic/test_basic.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/scenario/ipv4/test_ipv4.py: Apache (v2.0)
./neutron_dynamic_routing/tests/tempest/scenario/ipv6/test_ipv6.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/services/bgp/test_bgp_plugin.py: Apache (v2.0)
./neutron_dynamic_routing/services/bgp/agent/driver/ryu/driver.py: Apache (v2.0)
./neutron_dynamic_routing/tests/functional/services/bgp/scheduler/test_bgp_dragent_scheduler.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/api/rpc/agentnotifiers/test_bgp_dr_rpc_agent_api.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/api/rpc/handlers/test_bgp_speaker_rpc.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/services/bgp/agent/test_bgp_dragent.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/services/bgp/driver/test_utils.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/services/bgp/scheduler/test_bgp_dragent_scheduler.py: Apache (v2.0)
./neutron_dynamic_routing/db/migration/alembic_migrations/versions/newton/contract/4cf8bc3edb66_rename_tenant_to_project.py: *No copyright* Apache (v2.0)
./neutron_dynamic_routing/db/migration/alembic_migrations/versions/newton/contract/61cc795e43e8_initial.py: Apache (v2.0)
./neutron_dynamic_routing/db/migration/alembic_migrations/versions/newton/expand/f399fa0f5f25_initial.py: Apache (v2.0)
./neutron_dynamic_routing/tests/unit/services/bgp/driver/ryu/test_driver.py: Apache (v2.0)


License is a valid Apache Software License v2.0

Comment 10 Javier Peña 2018-06-29 09:46:13 UTC
Review notes:

- gawk does not need to be listed as a build requirement, but that can be fixed as a follow-up update.
- The source tarball generation comment is expected, since the SRPM was created by DLRN.
- The %global usage is also expected, since the SRPM was created by DLRN.

The package is APPROVED.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gawk
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 67 files have unknown
     license. Detailed output of licensecheck in /tmp/openstack-neutron-
     dynamic-routing/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/neutron/policy.d, /etc/neutron,
     /etc/neutron/conf.d
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/neutron,
     /etc/neutron/conf.d, /usr/lib/systemd/system, /etc/neutron/policy.d,
     /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -neutron-dynamic-routing , python2-neutron-dynamic-routing-tests ,
     openstack-neutron-dynamic-routing-common , openstack-neutron-bgp-
     dragent
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     13.0.0.0b3.dev1, %define major_version %(echo %{version} | awk 'BEGIN
     { FS=\".\"}; {print $1}'), %define next_version %(echo
     $((%{major_version} + 1))), %define neutron_epoch 1
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-neutron-dynamic-routing-13.0.0-0.20180628131306.93a8b15.el7.noarch.rpm
          python2-neutron-dynamic-routing-tests-13.0.0-0.20180628131306.93a8b15.el7.noarch.rpm
          openstack-neutron-dynamic-routing-common-13.0.0-0.20180628131306.93a8b15.el7.noarch.rpm
          openstack-neutron-bgp-dragent-13.0.0-0.20180628131306.93a8b15.el7.noarch.rpm
          openstack-neutron-dynamic-routing-13.0.0-0.20180628131306.93a8b15.el7.src.rpm
python2-neutron-dynamic-routing.noarch: E: description-line-too-long C This is Dynamic Routing service plugin for OpenStack Neutron (Networking) service.
python2-neutron-dynamic-routing.noarch: E: no-changelogname-tag
python2-neutron-dynamic-routing-tests.noarch: E: description-line-too-long C This is a Dynamic Routing service plugin for Openstack Neutron (Networking) service.
python2-neutron-dynamic-routing-tests.noarch: E: no-changelogname-tag
python2-neutron-dynamic-routing-tests.noarch: W: no-documentation
python2-neutron-dynamic-routing-tests.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/neutron_dynamic_routing/tests/contrib/gate_hook.sh /usr/bin/env bash
python2-neutron-dynamic-routing-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/neutron_dynamic_routing/tests/contrib/gate_hook.sh 644 /usr/bin/env bash
python2-neutron-dynamic-routing-tests.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/neutron_dynamic_routing/tests/contrib/post_test_hook.sh /usr/bin/env bash
python2-neutron-dynamic-routing-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/neutron_dynamic_routing/tests/contrib/post_test_hook.sh 644 /usr/bin/env bash
openstack-neutron-dynamic-routing-common.noarch: E: description-line-too-long C This is Dynamic Routing service plugin for OpenStack Neutron (Networking) service.
openstack-neutron-dynamic-routing-common.noarch: E: no-changelogname-tag
openstack-neutron-dynamic-routing-common.noarch: W: no-documentation
openstack-neutron-dynamic-routing-common.noarch: W: non-standard-gid /etc/neutron/policy.d/dynamic_routing.conf neutron
openstack-neutron-bgp-dragent.noarch: E: no-changelogname-tag
openstack-neutron-bgp-dragent.noarch: W: no-documentation
openstack-neutron-bgp-dragent.noarch: W: non-standard-gid /etc/neutron/bgp_dragent.ini neutron
openstack-neutron-bgp-dragent.noarch: E: non-readable /etc/neutron/bgp_dragent.ini 640
openstack-neutron-bgp-dragent.noarch: W: no-manual-page-for-binary neutron-bgp-dragent
openstack-neutron-dynamic-routing.src: W: spelling-error %description -l en_US addons -> ad dons, ad-dons, adorns
openstack-neutron-dynamic-routing.src: E: no-changelogname-tag
openstack-neutron-dynamic-routing.src: W: strange-permission neutron-bgp-dragent.service 666
openstack-neutron-dynamic-routing.src: W: invalid-url Source0: neutron-dynamic-routing-13.0.0.0b3.dev1-0.20180628131306.93a8b15.tar.gz
5 packages and 0 specfiles checked; 13 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
openstack-neutron-bgp-dragent.noarch: E: no-changelogname-tag
openstack-neutron-bgp-dragent.noarch: W: invalid-url URL: https://github.com/openstack/neutron-dynamic-routing <urlopen error [Errno -2] Name or service not known>
openstack-neutron-bgp-dragent.noarch: W: only-non-binary-in-usr-lib
openstack-neutron-bgp-dragent.noarch: W: no-documentation
openstack-neutron-bgp-dragent.noarch: W: non-standard-gid /etc/neutron/bgp_dragent.ini neutron
openstack-neutron-bgp-dragent.noarch: E: non-readable /etc/neutron/bgp_dragent.ini 0640L
openstack-neutron-bgp-dragent.noarch: W: no-manual-page-for-binary neutron-bgp-dragent
python2-neutron-dynamic-routing.noarch: E: description-line-too-long C This is Dynamic Routing service plugin for OpenStack Neutron (Networking) service.
python2-neutron-dynamic-routing.noarch: E: no-changelogname-tag
python2-neutron-dynamic-routing.noarch: W: invalid-url URL: https://github.com/openstack/neutron-dynamic-routing <urlopen error [Errno -2] Name or service not known>
python2-neutron-dynamic-routing-tests.noarch: E: description-line-too-long C This is a Dynamic Routing service plugin for Openstack Neutron (Networking) service.
python2-neutron-dynamic-routing-tests.noarch: E: no-changelogname-tag
python2-neutron-dynamic-routing-tests.noarch: W: invalid-url URL: https://github.com/openstack/neutron-dynamic-routing <urlopen error [Errno -2] Name or service not known>
python2-neutron-dynamic-routing-tests.noarch: W: no-documentation
python2-neutron-dynamic-routing-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/neutron_dynamic_routing/tests/contrib/gate_hook.sh 0644L /usr/bin/env
python2-neutron-dynamic-routing-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/neutron_dynamic_routing/tests/contrib/post_test_hook.sh 0644L /usr/bin/env
openstack-neutron-dynamic-routing-common.noarch: E: description-line-too-long C This is Dynamic Routing service plugin for OpenStack Neutron (Networking) service.
openstack-neutron-dynamic-routing-common.noarch: E: no-changelogname-tag
openstack-neutron-dynamic-routing-common.noarch: W: invalid-url URL: https://github.com/openstack/neutron-dynamic-routing <urlopen error [Errno -2] Name or service not known>
openstack-neutron-dynamic-routing-common.noarch: W: no-documentation
openstack-neutron-dynamic-routing-common.noarch: W: non-standard-gid /etc/neutron/policy.d/dynamic_routing.conf neutron
4 packages and 0 specfiles checked; 10 errors, 11 warnings.



Requires
--------
openstack-neutron-bgp-dragent (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(openstack-neutron-bgp-dragent)
    openstack-neutron-dynamic-routing-common
    python2-ryu

python2-neutron-dynamic-routing (rpmlib, GLIBC filtered):
    python(abi)
    python-httplib2
    python-neutron
    python2-alembic
    python2-eventlet
    python2-netaddr
    python2-neutron-lib
    python2-oslo-config
    python2-oslo-db
    python2-oslo-messaging
    python2-oslo-serialization
    python2-oslo-service
    python2-oslo-utils
    python2-six
    python2-sqlalchemy

python2-neutron-dynamic-routing-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-mock
    python-neutron
    python-os-testr
    python-oslo-concurrency
    python-oslotest
    python-requests-mock
    python-ryu
    python-subunit
    python-tempest
    python-testrepository
    python-testresources
    python-testscenarios
    python-testtools
    python-webob
    python-webtest
    python2-neutron-dynamic-routing

openstack-neutron-dynamic-routing-common (rpmlib, GLIBC filtered):
    config(openstack-neutron-dynamic-routing-common)
    openstack-neutron-common
    python2-neutron-dynamic-routing



Provides
--------
openstack-neutron-bgp-dragent:
    config(openstack-neutron-bgp-dragent)
    openstack-neutron-bgp-dragent

python2-neutron-dynamic-routing:
    python2-neutron-dynamic-routing

python2-neutron-dynamic-routing-tests:
    python2-neutron-dynamic-routing-tests

openstack-neutron-dynamic-routing-common:
    config(openstack-neutron-dynamic-routing-common)
    openstack-neutron-dynamic-routing-common



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn -n openstack-neutron-dynamic-routing -r
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Javier Peña 2019-04-25 14:48:27 UTC
The package has been present in RDO Trunk for a while, closing the bug.


Note You need to log in before you can comment on or make changes to this bug.